#include <iostream>

using namespace std;

int main()
{
    short n;
    bool spucao_se_tupan=false;
    long long int h_p;
    cin>>n>>h_p;
    long long H_s[n];
    for(int i=0;i<n;i++)
    {
        cin>>H_s[i];
        if(H_s[i]<=h_p)
        {
            spucao_se_tupan=true;
            printf("%d", i+1);
            break;
        }
    }
    if(!spucao_se_tupan)
    {
        printf("-1");
    }
    return 0;
}